package com.helpdesk.micaficito.modelos;
// Generated 11-dic-2019 11:52:12 by Hibernate Tools 4.3.1


import javax.persistence.AttributeOverride;
import javax.persistence.AttributeOverrides;
import javax.persistence.Column;
import javax.persistence.EmbeddedId;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

/**
 * Ticketlines generated by hbm2java
 */
@Entity
@Table(name="ticketlines"
    ,catalog="openbravopos"
)
public class Ticketlines  implements java.io.Serializable {


     private TicketlinesId id;
     private Attributesetinstance attributesetinstance;
     private Products products;
     private Taxes taxes;
     private Tickets tickets;
     private double units;
     private double price;
     private byte[] attributes;

    public Ticketlines() {
    }

	
    public Ticketlines(TicketlinesId id, Taxes taxes, Tickets tickets, double units, double price) {
        this.id = id;
        this.taxes = taxes;
        this.tickets = tickets;
        this.units = units;
        this.price = price;
    }
    public Ticketlines(TicketlinesId id, Attributesetinstance attributesetinstance, Products products, Taxes taxes, Tickets tickets, double units, double price, byte[] attributes) {
       this.id = id;
       this.attributesetinstance = attributesetinstance;
       this.products = products;
       this.taxes = taxes;
       this.tickets = tickets;
       this.units = units;
       this.price = price;
       this.attributes = attributes;
    }
   
     @EmbeddedId

    
    @AttributeOverrides( {
        @AttributeOverride(name="ticket", column=@Column(name="TICKET", nullable=false) ), 
        @AttributeOverride(name="line", column=@Column(name="LINE", nullable=false) ) } )
    public TicketlinesId getId() {
        return this.id;
    }
    
    public void setId(TicketlinesId id) {
        this.id = id;
    }

@ManyToOne(fetch=FetchType.LAZY)
    @JoinColumn(name="ATTRIBUTESETINSTANCE_ID")
    public Attributesetinstance getAttributesetinstance() {
        return this.attributesetinstance;
    }
    
    public void setAttributesetinstance(Attributesetinstance attributesetinstance) {
        this.attributesetinstance = attributesetinstance;
    }

@ManyToOne(fetch=FetchType.LAZY)
    @JoinColumn(name="PRODUCT")
    public Products getProducts() {
        return this.products;
    }
    
    public void setProducts(Products products) {
        this.products = products;
    }

@ManyToOne(fetch=FetchType.LAZY)
    @JoinColumn(name="TAXID", nullable=false)
    public Taxes getTaxes() {
        return this.taxes;
    }
    
    public void setTaxes(Taxes taxes) {
        this.taxes = taxes;
    }

@ManyToOne(fetch=FetchType.LAZY)
    @JoinColumn(name="TICKET", nullable=false, insertable=false, updatable=false)
    public Tickets getTickets() {
        return this.tickets;
    }
    
    public void setTickets(Tickets tickets) {
        this.tickets = tickets;
    }

    
    @Column(name="UNITS", nullable=false, precision=22, scale=0)
    public double getUnits() {
        return this.units;
    }
    
    public void setUnits(double units) {
        this.units = units;
    }

    
    @Column(name="PRICE", nullable=false, precision=22, scale=0)
    public double getPrice() {
        return this.price;
    }
    
    public void setPrice(double price) {
        this.price = price;
    }

    
    @Column(name="ATTRIBUTES")
    public byte[] getAttributes() {
        return this.attributes;
    }
    
    public void setAttributes(byte[] attributes) {
        this.attributes = attributes;
    }




}


